# Mezzanine Dart Client

A Dart client for the [REST Web API for Mezzanine with Cartridge](https://github.com/jackvz/mezzanine-cartridge-api)

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project (for the most part)

- API version: 1.5.16
- Build package: io.swagger.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If installing from Github, include the following in pubspec.yaml
```
name: mezzanine_dart_client
version: 1.0.0
description: A Dart client for the REST Web API for Mezzanine with Cartridge
dependencies:
  mezzanine_dart_client:
    git: https://github.com/jackvz/mezzanine-cartridge-api
      version: 'any'
```

### Local
To use the package in your local drive, include the following in pubspec.yaml
```
dependencies:
  mezzanine_dart_client:
    path: /path/to/mezzanine_dart_client
```

## Getting Started


```dart
import 'package:mezzanine_dart_client/api.dart';

// TODO Configure API key authorization: API Secret Key
//mezzanine_dart_client.api.Configuration.apiKey{'Api-Secret-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//mezzanine_dart_client.api.Configuration.apiKeyPrefix{'Api-Secret-Key'} = "Bearer";
// TODO Configure API key authorization: API Token
//mezzanine_dart_client.api.Configuration.apiKey{'Api-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//mezzanine_dart_client.api.Configuration.apiKeyPrefix{'Api-Token'} = "Bearer";

var api_instance = new AssignedkeywordsApi();
var data = new AssignedKeyword(); // AssignedKeyword | 

try {
    var result = api_instance.assignedkeywordsCreate(data);
    print(result);
} catch (e) {
    print("Exception when calling AssignedkeywordsApi->assignedkeywordsCreate: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AssignedkeywordsApi* | [**assignedkeywordsCreate**](docs//AssignedkeywordsApi.md#assignedkeywordscreate) | **POST** /assignedkeywords/ | 
*AssignedkeywordsApi* | [**assignedkeywordsDelete**](docs//AssignedkeywordsApi.md#assignedkeywordsdelete) | **DELETE** /assignedkeywords/{id}/ | 
*AssignedkeywordsApi* | [**assignedkeywordsList**](docs//AssignedkeywordsApi.md#assignedkeywordslist) | **GET** /assignedkeywords/ | 
*AssignedkeywordsApi* | [**assignedkeywordsPartialUpdate**](docs//AssignedkeywordsApi.md#assignedkeywordspartialupdate) | **PATCH** /assignedkeywords/{id}/ | 
*AssignedkeywordsApi* | [**assignedkeywordsRead**](docs//AssignedkeywordsApi.md#assignedkeywordsread) | **GET** /assignedkeywords/{id}/ | 
*AssignedkeywordsApi* | [**assignedkeywordsUpdate**](docs//AssignedkeywordsApi.md#assignedkeywordsupdate) | **PUT** /assignedkeywords/{id}/ | 
*BlogcategoriesApi* | [**blogcategoriesCreate**](docs//BlogcategoriesApi.md#blogcategoriescreate) | **POST** /blogcategories/ | 
*BlogcategoriesApi* | [**blogcategoriesDelete**](docs//BlogcategoriesApi.md#blogcategoriesdelete) | **DELETE** /blogcategories/{id}/ | 
*BlogcategoriesApi* | [**blogcategoriesList**](docs//BlogcategoriesApi.md#blogcategorieslist) | **GET** /blogcategories/ | 
*BlogcategoriesApi* | [**blogcategoriesPartialUpdate**](docs//BlogcategoriesApi.md#blogcategoriespartialupdate) | **PATCH** /blogcategories/{id}/ | 
*BlogcategoriesApi* | [**blogcategoriesRead**](docs//BlogcategoriesApi.md#blogcategoriesread) | **GET** /blogcategories/{id}/ | 
*BlogcategoriesApi* | [**blogcategoriesUpdate**](docs//BlogcategoriesApi.md#blogcategoriesupdate) | **PUT** /blogcategories/{id}/ | 
*BlogpostsApi* | [**blogpostsCreate**](docs//BlogpostsApi.md#blogpostscreate) | **POST** /blogposts/ | 
*BlogpostsApi* | [**blogpostsDelete**](docs//BlogpostsApi.md#blogpostsdelete) | **DELETE** /blogposts/{id}/ | 
*BlogpostsApi* | [**blogpostsList**](docs//BlogpostsApi.md#blogpostslist) | **GET** /blogposts/ | 
*BlogpostsApi* | [**blogpostsPartialUpdate**](docs//BlogpostsApi.md#blogpostspartialupdate) | **PATCH** /blogposts/{id}/ | 
*BlogpostsApi* | [**blogpostsRead**](docs//BlogpostsApi.md#blogpostsread) | **GET** /blogposts/{id}/ | 
*BlogpostsApi* | [**blogpostsUpdate**](docs//BlogpostsApi.md#blogpostsupdate) | **PUT** /blogposts/{id}/ | 
*CartitemsApi* | [**cartitemsCreate**](docs//CartitemsApi.md#cartitemscreate) | **POST** /cartitems/ | 
*CartitemsApi* | [**cartitemsDelete**](docs//CartitemsApi.md#cartitemsdelete) | **DELETE** /cartitems/{id}/ | 
*CartitemsApi* | [**cartitemsList**](docs//CartitemsApi.md#cartitemslist) | **GET** /cartitems/ | 
*CartitemsApi* | [**cartitemsPartialUpdate**](docs//CartitemsApi.md#cartitemspartialupdate) | **PATCH** /cartitems/{id}/ | 
*CartitemsApi* | [**cartitemsRead**](docs//CartitemsApi.md#cartitemsread) | **GET** /cartitems/{id}/ | 
*CartitemsApi* | [**cartitemsUpdate**](docs//CartitemsApi.md#cartitemsupdate) | **PUT** /cartitems/{id}/ | 
*CartsApi* | [**cartsBillingShipping**](docs//CartsApi.md#cartsbillingshipping) | **POST** /carts/{id}/billing-shipping/ | 
*CartsApi* | [**cartsCreate**](docs//CartsApi.md#cartscreate) | **POST** /carts/ | 
*CartsApi* | [**cartsDelete**](docs//CartsApi.md#cartsdelete) | **DELETE** /carts/{id}/ | 
*CartsApi* | [**cartsList**](docs//CartsApi.md#cartslist) | **GET** /carts/ | 
*CartsApi* | [**cartsOrderPlacement**](docs//CartsApi.md#cartsorderplacement) | **POST** /carts/{id}/order-placement/ | 
*CartsApi* | [**cartsPartialUpdate**](docs//CartsApi.md#cartspartialupdate) | **PATCH** /carts/{id}/ | 
*CartsApi* | [**cartsPayment**](docs//CartsApi.md#cartspayment) | **POST** /carts/{id}/payment/ | 
*CartsApi* | [**cartsRead**](docs//CartsApi.md#cartsread) | **GET** /carts/{id}/ | 
*CartsApi* | [**cartsTax**](docs//CartsApi.md#cartstax) | **POST** /carts/{id}/tax/ | 
*CartsApi* | [**cartsUpdate**](docs//CartsApi.md#cartsupdate) | **PUT** /carts/{id}/ | 
*CategoriesApi* | [**categoriesCreate**](docs//CategoriesApi.md#categoriescreate) | **POST** /categories/ | 
*CategoriesApi* | [**categoriesDelete**](docs//CategoriesApi.md#categoriesdelete) | **DELETE** /categories/{id}/ | 
*CategoriesApi* | [**categoriesList**](docs//CategoriesApi.md#categorieslist) | **GET** /categories/ | 
*CategoriesApi* | [**categoriesPartialUpdate**](docs//CategoriesApi.md#categoriespartialupdate) | **PATCH** /categories/{id}/ | 
*CategoriesApi* | [**categoriesRead**](docs//CategoriesApi.md#categoriesread) | **GET** /categories/{id}/ | 
*CategoriesApi* | [**categoriesUpdate**](docs//CategoriesApi.md#categoriesupdate) | **PUT** /categories/{id}/ | 
*DiscountcodesApi* | [**discountcodesCreate**](docs//DiscountcodesApi.md#discountcodescreate) | **POST** /discountcodes/ | 
*DiscountcodesApi* | [**discountcodesDelete**](docs//DiscountcodesApi.md#discountcodesdelete) | **DELETE** /discountcodes/{id}/ | 
*DiscountcodesApi* | [**discountcodesList**](docs//DiscountcodesApi.md#discountcodeslist) | **GET** /discountcodes/ | 
*DiscountcodesApi* | [**discountcodesPartialUpdate**](docs//DiscountcodesApi.md#discountcodespartialupdate) | **PATCH** /discountcodes/{id}/ | 
*DiscountcodesApi* | [**discountcodesRead**](docs//DiscountcodesApi.md#discountcodesread) | **GET** /discountcodes/{id}/ | 
*DiscountcodesApi* | [**discountcodesUpdate**](docs//DiscountcodesApi.md#discountcodesupdate) | **PUT** /discountcodes/{id}/ | 
*GalleriesApi* | [**galleriesCreate**](docs//GalleriesApi.md#galleriescreate) | **POST** /galleries/ | 
*GalleriesApi* | [**galleriesDelete**](docs//GalleriesApi.md#galleriesdelete) | **DELETE** /galleries/{id}/ | 
*GalleriesApi* | [**galleriesList**](docs//GalleriesApi.md#gallerieslist) | **GET** /galleries/ | 
*GalleriesApi* | [**galleriesPartialUpdate**](docs//GalleriesApi.md#galleriespartialupdate) | **PATCH** /galleries/{id}/ | 
*GalleriesApi* | [**galleriesRead**](docs//GalleriesApi.md#galleriesread) | **GET** /galleries/{id}/ | 
*GalleriesApi* | [**galleriesUpdate**](docs//GalleriesApi.md#galleriesupdate) | **PUT** /galleries/{id}/ | 
*GalleryimagesApi* | [**galleryimagesCreate**](docs//GalleryimagesApi.md#galleryimagescreate) | **POST** /galleryimages/ | 
*GalleryimagesApi* | [**galleryimagesDelete**](docs//GalleryimagesApi.md#galleryimagesdelete) | **DELETE** /galleryimages/{id}/ | 
*GalleryimagesApi* | [**galleryimagesList**](docs//GalleryimagesApi.md#galleryimageslist) | **GET** /galleryimages/ | 
*GalleryimagesApi* | [**galleryimagesPartialUpdate**](docs//GalleryimagesApi.md#galleryimagespartialupdate) | **PATCH** /galleryimages/{id}/ | 
*GalleryimagesApi* | [**galleryimagesRead**](docs//GalleryimagesApi.md#galleryimagesread) | **GET** /galleryimages/{id}/ | 
*GalleryimagesApi* | [**galleryimagesUpdate**](docs//GalleryimagesApi.md#galleryimagesupdate) | **PUT** /galleryimages/{id}/ | 
*GroupsApi* | [**groupsCreate**](docs//GroupsApi.md#groupscreate) | **POST** /groups/ | 
*GroupsApi* | [**groupsDelete**](docs//GroupsApi.md#groupsdelete) | **DELETE** /groups/{id}/ | 
*GroupsApi* | [**groupsList**](docs//GroupsApi.md#groupslist) | **GET** /groups/ | 
*GroupsApi* | [**groupsPartialUpdate**](docs//GroupsApi.md#groupspartialupdate) | **PATCH** /groups/{id}/ | 
*GroupsApi* | [**groupsRead**](docs//GroupsApi.md#groupsread) | **GET** /groups/{id}/ | 
*GroupsApi* | [**groupsUpdate**](docs//GroupsApi.md#groupsupdate) | **PUT** /groups/{id}/ | 
*OrderitemsApi* | [**orderitemsCreate**](docs//OrderitemsApi.md#orderitemscreate) | **POST** /orderitems/ | 
*OrderitemsApi* | [**orderitemsDelete**](docs//OrderitemsApi.md#orderitemsdelete) | **DELETE** /orderitems/{id}/ | 
*OrderitemsApi* | [**orderitemsList**](docs//OrderitemsApi.md#orderitemslist) | **GET** /orderitems/ | 
*OrderitemsApi* | [**orderitemsPartialUpdate**](docs//OrderitemsApi.md#orderitemspartialupdate) | **PATCH** /orderitems/{id}/ | 
*OrderitemsApi* | [**orderitemsRead**](docs//OrderitemsApi.md#orderitemsread) | **GET** /orderitems/{id}/ | 
*OrderitemsApi* | [**orderitemsUpdate**](docs//OrderitemsApi.md#orderitemsupdate) | **PUT** /orderitems/{id}/ | 
*OrdersApi* | [**ordersCreate**](docs//OrdersApi.md#orderscreate) | **POST** /orders/ | 
*OrdersApi* | [**ordersDelete**](docs//OrdersApi.md#ordersdelete) | **DELETE** /orders/{id}/ | 
*OrdersApi* | [**ordersList**](docs//OrdersApi.md#orderslist) | **GET** /orders/ | 
*OrdersApi* | [**ordersPartialUpdate**](docs//OrdersApi.md#orderspartialupdate) | **PATCH** /orders/{id}/ | 
*OrdersApi* | [**ordersRead**](docs//OrdersApi.md#ordersread) | **GET** /orders/{id}/ | 
*OrdersApi* | [**ordersUpdate**](docs//OrdersApi.md#ordersupdate) | **PUT** /orders/{id}/ | 
*PagesApi* | [**pagesCreate**](docs//PagesApi.md#pagescreate) | **POST** /pages/ | 
*PagesApi* | [**pagesDelete**](docs//PagesApi.md#pagesdelete) | **DELETE** /pages/{id}/ | 
*PagesApi* | [**pagesList**](docs//PagesApi.md#pageslist) | **GET** /pages/ | 
*PagesApi* | [**pagesPartialUpdate**](docs//PagesApi.md#pagespartialupdate) | **PATCH** /pages/{id}/ | 
*PagesApi* | [**pagesRead**](docs//PagesApi.md#pagesread) | **GET** /pages/{id}/ | 
*PagesApi* | [**pagesUpdate**](docs//PagesApi.md#pagesupdate) | **PUT** /pages/{id}/ | 
*ProductimagesApi* | [**productimagesCreate**](docs//ProductimagesApi.md#productimagescreate) | **POST** /productimages/ | 
*ProductimagesApi* | [**productimagesDelete**](docs//ProductimagesApi.md#productimagesdelete) | **DELETE** /productimages/{id}/ | 
*ProductimagesApi* | [**productimagesList**](docs//ProductimagesApi.md#productimageslist) | **GET** /productimages/ | 
*ProductimagesApi* | [**productimagesPartialUpdate**](docs//ProductimagesApi.md#productimagespartialupdate) | **PATCH** /productimages/{id}/ | 
*ProductimagesApi* | [**productimagesRead**](docs//ProductimagesApi.md#productimagesread) | **GET** /productimages/{id}/ | 
*ProductimagesApi* | [**productimagesUpdate**](docs//ProductimagesApi.md#productimagesupdate) | **PUT** /productimages/{id}/ | 
*ProductoptionsApi* | [**productoptionsCreate**](docs//ProductoptionsApi.md#productoptionscreate) | **POST** /productoptions/ | 
*ProductoptionsApi* | [**productoptionsDelete**](docs//ProductoptionsApi.md#productoptionsdelete) | **DELETE** /productoptions/{id}/ | 
*ProductoptionsApi* | [**productoptionsList**](docs//ProductoptionsApi.md#productoptionslist) | **GET** /productoptions/ | 
*ProductoptionsApi* | [**productoptionsPartialUpdate**](docs//ProductoptionsApi.md#productoptionspartialupdate) | **PATCH** /productoptions/{id}/ | 
*ProductoptionsApi* | [**productoptionsRead**](docs//ProductoptionsApi.md#productoptionsread) | **GET** /productoptions/{id}/ | 
*ProductoptionsApi* | [**productoptionsUpdate**](docs//ProductoptionsApi.md#productoptionsupdate) | **PUT** /productoptions/{id}/ | 
*ProductsApi* | [**productsCreate**](docs//ProductsApi.md#productscreate) | **POST** /products/ | 
*ProductsApi* | [**productsDelete**](docs//ProductsApi.md#productsdelete) | **DELETE** /products/{id}/ | 
*ProductsApi* | [**productsList**](docs//ProductsApi.md#productslist) | **GET** /products/ | 
*ProductsApi* | [**productsPartialUpdate**](docs//ProductsApi.md#productspartialupdate) | **PATCH** /products/{id}/ | 
*ProductsApi* | [**productsRead**](docs//ProductsApi.md#productsread) | **GET** /products/{id}/ | 
*ProductsApi* | [**productsUpdate**](docs//ProductsApi.md#productsupdate) | **PUT** /products/{id}/ | 
*ProductvariationsApi* | [**productvariationsCreate**](docs//ProductvariationsApi.md#productvariationscreate) | **POST** /productvariations/ | 
*ProductvariationsApi* | [**productvariationsDelete**](docs//ProductvariationsApi.md#productvariationsdelete) | **DELETE** /productvariations/{id}/ | 
*ProductvariationsApi* | [**productvariationsList**](docs//ProductvariationsApi.md#productvariationslist) | **GET** /productvariations/ | 
*ProductvariationsApi* | [**productvariationsPartialUpdate**](docs//ProductvariationsApi.md#productvariationspartialupdate) | **PATCH** /productvariations/{id}/ | 
*ProductvariationsApi* | [**productvariationsRead**](docs//ProductvariationsApi.md#productvariationsread) | **GET** /productvariations/{id}/ | 
*ProductvariationsApi* | [**productvariationsUpdate**](docs//ProductvariationsApi.md#productvariationsupdate) | **PUT** /productvariations/{id}/ | 
*RatingsApi* | [**ratingsCreate**](docs//RatingsApi.md#ratingscreate) | **POST** /ratings/ | 
*RatingsApi* | [**ratingsDelete**](docs//RatingsApi.md#ratingsdelete) | **DELETE** /ratings/{id}/ | 
*RatingsApi* | [**ratingsList**](docs//RatingsApi.md#ratingslist) | **GET** /ratings/ | 
*RatingsApi* | [**ratingsPartialUpdate**](docs//RatingsApi.md#ratingspartialupdate) | **PATCH** /ratings/{id}/ | 
*RatingsApi* | [**ratingsRead**](docs//RatingsApi.md#ratingsread) | **GET** /ratings/{id}/ | 
*RatingsApi* | [**ratingsUpdate**](docs//RatingsApi.md#ratingsupdate) | **PUT** /ratings/{id}/ | 
*RedirectsApi* | [**redirectsCreate**](docs//RedirectsApi.md#redirectscreate) | **POST** /redirects/ | 
*RedirectsApi* | [**redirectsDelete**](docs//RedirectsApi.md#redirectsdelete) | **DELETE** /redirects/{id}/ | 
*RedirectsApi* | [**redirectsList**](docs//RedirectsApi.md#redirectslist) | **GET** /redirects/ | 
*RedirectsApi* | [**redirectsPartialUpdate**](docs//RedirectsApi.md#redirectspartialupdate) | **PATCH** /redirects/{id}/ | 
*RedirectsApi* | [**redirectsRead**](docs//RedirectsApi.md#redirectsread) | **GET** /redirects/{id}/ | 
*RedirectsApi* | [**redirectsUpdate**](docs//RedirectsApi.md#redirectsupdate) | **PUT** /redirects/{id}/ | 
*SalesApi* | [**salesCreate**](docs//SalesApi.md#salescreate) | **POST** /sales/ | 
*SalesApi* | [**salesDelete**](docs//SalesApi.md#salesdelete) | **DELETE** /sales/{id}/ | 
*SalesApi* | [**salesList**](docs//SalesApi.md#saleslist) | **GET** /sales/ | 
*SalesApi* | [**salesPartialUpdate**](docs//SalesApi.md#salespartialupdate) | **PATCH** /sales/{id}/ | 
*SalesApi* | [**salesRead**](docs//SalesApi.md#salesread) | **GET** /sales/{id}/ | 
*SalesApi* | [**salesUpdate**](docs//SalesApi.md#salesupdate) | **PUT** /sales/{id}/ | 
*SettingsApi* | [**settingsCreate**](docs//SettingsApi.md#settingscreate) | **POST** /settings/ | 
*SettingsApi* | [**settingsDelete**](docs//SettingsApi.md#settingsdelete) | **DELETE** /settings/{id}/ | 
*SettingsApi* | [**settingsList**](docs//SettingsApi.md#settingslist) | **GET** /settings/ | 
*SettingsApi* | [**settingsPartialUpdate**](docs//SettingsApi.md#settingspartialupdate) | **PATCH** /settings/{id}/ | 
*SettingsApi* | [**settingsRead**](docs//SettingsApi.md#settingsread) | **GET** /settings/{id}/ | 
*SettingsApi* | [**settingsUpdate**](docs//SettingsApi.md#settingsupdate) | **PUT** /settings/{id}/ | 
*SitesApi* | [**sitesCreate**](docs//SitesApi.md#sitescreate) | **POST** /sites/ | 
*SitesApi* | [**sitesDelete**](docs//SitesApi.md#sitesdelete) | **DELETE** /sites/{id}/ | 
*SitesApi* | [**sitesList**](docs//SitesApi.md#siteslist) | **GET** /sites/ | 
*SitesApi* | [**sitesPartialUpdate**](docs//SitesApi.md#sitespartialupdate) | **PATCH** /sites/{id}/ | 
*SitesApi* | [**sitesRead**](docs//SitesApi.md#sitesread) | **GET** /sites/{id}/ | 
*SitesApi* | [**sitesUpdate**](docs//SitesApi.md#sitesupdate) | **PUT** /sites/{id}/ | 
*SystemsettingsApi* | [**systemsettingsList**](docs//SystemsettingsApi.md#systemsettingslist) | **GET** /systemsettings/ | 
*ThreadedcommentsApi* | [**threadedcommentsCreate**](docs//ThreadedcommentsApi.md#threadedcommentscreate) | **POST** /threadedcomments/ | 
*ThreadedcommentsApi* | [**threadedcommentsDelete**](docs//ThreadedcommentsApi.md#threadedcommentsdelete) | **DELETE** /threadedcomments/{id}/ | 
*ThreadedcommentsApi* | [**threadedcommentsList**](docs//ThreadedcommentsApi.md#threadedcommentslist) | **GET** /threadedcomments/ | 
*ThreadedcommentsApi* | [**threadedcommentsPartialUpdate**](docs//ThreadedcommentsApi.md#threadedcommentspartialupdate) | **PATCH** /threadedcomments/{id}/ | 
*ThreadedcommentsApi* | [**threadedcommentsRead**](docs//ThreadedcommentsApi.md#threadedcommentsread) | **GET** /threadedcomments/{id}/ | 
*ThreadedcommentsApi* | [**threadedcommentsUpdate**](docs//ThreadedcommentsApi.md#threadedcommentsupdate) | **PUT** /threadedcomments/{id}/ | 
*UsersApi* | [**usersActivate**](docs//UsersApi.md#usersactivate) | **POST** /users/{id}/activate/ | 
*UsersApi* | [**usersCheckPassword**](docs//UsersApi.md#userscheckpassword) | **POST** /users/check-password/ | 
*UsersApi* | [**usersCheckToken**](docs//UsersApi.md#userschecktoken) | **POST** /users/{id}/check-token/ | 
*UsersApi* | [**usersCreate**](docs//UsersApi.md#userscreate) | **POST** /users/ | 
*UsersApi* | [**usersDelete**](docs//UsersApi.md#usersdelete) | **DELETE** /users/{id}/ | 
*UsersApi* | [**usersList**](docs//UsersApi.md#userslist) | **GET** /users/ | 
*UsersApi* | [**usersPartialUpdate**](docs//UsersApi.md#userspartialupdate) | **PATCH** /users/{id}/ | 
*UsersApi* | [**usersRead**](docs//UsersApi.md#usersread) | **GET** /users/{id}/ | 
*UsersApi* | [**usersResetPassword**](docs//UsersApi.md#usersresetpassword) | **POST** /users/reset-password/ | 
*UsersApi* | [**usersSetPassword**](docs//UsersApi.md#userssetpassword) | **POST** /users/{id}/set-password/ | 
*UsersApi* | [**usersUpdate**](docs//UsersApi.md#usersupdate) | **PUT** /users/{id}/ | 


## Documentation For Models

 - [AssignedKeyword](docs//AssignedKeyword.md)
 - [BlogCategory](docs//BlogCategory.md)
 - [BlogPost](docs//BlogPost.md)
 - [Cart](docs//Cart.md)
 - [CartBillingShipping](docs//CartBillingShipping.md)
 - [CartItem](docs//CartItem.md)
 - [CartPayment](docs//CartPayment.md)
 - [CartTax](docs//CartTax.md)
 - [Category](docs//Category.md)
 - [CategoryProductManyToManyThrough](docs//CategoryProductManyToManyThrough.md)
 - [DiscountCode](docs//DiscountCode.md)
 - [Gallery](docs//Gallery.md)
 - [GalleryImage](docs//GalleryImage.md)
 - [Group](docs//Group.md)
 - [Order](docs//Order.md)
 - [OrderForm](docs//OrderForm.md)
 - [OrderItem](docs//OrderItem.md)
 - [OrderPlacement](docs//OrderPlacement.md)
 - [Page](docs//Page.md)
 - [Product](docs//Product.md)
 - [ProductImage](docs//ProductImage.md)
 - [ProductOption](docs//ProductOption.md)
 - [ProductProductManyToManyThrough](docs//ProductProductManyToManyThrough.md)
 - [ProductVariation](docs//ProductVariation.md)
 - [Rating](docs//Rating.md)
 - [Redirect](docs//Redirect.md)
 - [Sale](docs//Sale.md)
 - [Setting](docs//Setting.md)
 - [Site](docs//Site.md)
 - [SystemSetting](docs//SystemSetting.md)
 - [ThreadedComment](docs//ThreadedComment.md)
 - [User](docs//User.md)
 - [UserActivation](docs//UserActivation.md)
 - [UserPasswordCheck](docs//UserPasswordCheck.md)
 - [UserPasswordReset](docs//UserPasswordReset.md)
 - [UserPasswordSet](docs//UserPasswordSet.md)
 - [UserTokenCheck](docs//UserTokenCheck.md)


## Documentation For Authorization


## API Secret Key

- **Type**: API key
- **API key parameter name**: Api-Secret-Key
- **Location**: HTTP header

## API Token

- **Type**: API key
- **API key parameter name**: Api-Token
- **Location**: HTTP header


## Author




